Difference between revisions of "Compiling ScummVM/Nintendo DS"

From ScummVM :: Wiki
Jump to navigation Jump to search
(Added some basic NDS build instructions (partially based on Neil's homepage))
(Remove outdated instructions on getting ScummVM source code.)
 
Line 1: Line 1:
 
== Compiling ScummVM for Nintendo DS under Linux ==
 
== Compiling ScummVM for Nintendo DS under Linux ==
 +
 +
== Getting the source ==
 +
* Open a Terminal and type:
 +
 +
<pre>git clone git://github.com/scummvm/scummvm.git</pre>
  
 
== Tools/libraries needed ==
 
== Tools/libraries needed ==
Line 13: Line 18:
  
 
== Compiling ScummVM ==
 
== Compiling ScummVM ==
To build ScummVM DS from source, it's probably better to checkout the latest version of the code from the ScummVM SVN repository. The ScummVM Sourceforge.net homepage has all the information about how to do this.
 
 
 
Enter the <code>backends/platform/ds</code> folder and type:
 
Enter the <code>backends/platform/ds</code> folder and type:
  
Line 29: Line 32:
 
make allbuildssafe
 
make allbuildssafe
 
</syntax>
 
</syntax>
 
  
 
== Further reading ==
 
== Further reading ==
 
* [http://forums.scummvm.org/viewtopic.php?t=3478 Forum thread "Compile Directions"]
 
* [http://forums.scummvm.org/viewtopic.php?t=3478 Forum thread "Compile Directions"]
 
* [http://forums.scummvm.org/viewtopic.php?t=7535 Forum thread "version of devkitpro needed to compile 13.1"]
 
* [http://forums.scummvm.org/viewtopic.php?t=7535 Forum thread "version of devkitpro needed to compile 13.1"]

Latest revision as of 02:36, 22 November 2012

Compiling ScummVM for Nintendo DS under Linux

Getting the source

  • Open a Terminal and type:
git clone git://github.com/scummvm/scummvm.git

Tools/libraries needed

You must have devitPro installed. Version r24 is known to work, more recent versions may work, but occasionally introduce non-backward compatibility changes which cause them to break compatibility with ScummVM.

Moreover, by default, ScummVM DS expects to find libmad, an MP3 compressor library targeted for the ARM platform. If you don't have this, you must disable libmad support by opening 'backends/platform/ds/arm9/makefile' and commenting out the line which says USE_MAD = 1.

To sum it up, you need to install at least the following:

Compiling ScummVM

Enter the backends/platform/ds folder and type:

<syntax type="bash"> make SCUMM_BUILD=a </syntax> The executable nds file will build inside backends/platform/ds/arm9/SCUMMVM-A.

For other builds, substitute the letters b to g in the above line.

To build everything, type:

<syntax type="bash"> make allbuildssafe </syntax>

Further reading